# $Revision: 1.11 $, $Date: 2004/05/07 01:09:17 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	NULL
Summary:	Crypt::NULL Perl module - NULL encryption alghorithm
Summary(pl):	Modu Perla Crypt::NULL - algorytm szyfrowania NULL
Name:		perl-Crypt-NULL
Version:	1.02
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86918bc7d084be0600a26279304ed395
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The NULL Encryption Algorithm is a symmetric block cipher described in
RFC 2410 by Rob Glenn and Stephen Kent. This module implements NULL
encryption. It supports the Crypt::CBC interface.

%description -l pl
Algorytm kodowania NULL jest symetrycznym szyfrem blokowym opisanym w
RFC 2410 przez Roba Glenna i Stephena Kenta. Ten modu jest
implementacj kodowania NULL. Obsuguje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/NULL.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-NULL.spec,v $
Revision 1.11  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:24  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.8  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:00  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

